<?php
/**
 */

include_once(dirname(__FILE__) . "/MyOwnCurl.php");

class MyOwnDevice {
    private $host_url_key = MyOwnCurl::URL_PATH ."webservice/DeviceService.php";
    
    const MSG_ADD = 600;
    const MSG_REMOVE = 700;
    const MSG_REMOVE_ALL = 701;
    
    public function addDevice($domain, $license, $password) {
        $curl = new MyOwnCurl();
        $params = array(
            "Type_Message" => MyOwnDevice::MSG_ADD,
            "Message" => array(
                'ID_License' => $license,
                'URL_Module' => $domain,
                'Password' => $password,
            ));
        return $curl->requestPost($this->host_url_key, $params);
    }
    
    public function removeDevice($domain, $id_device) {
        $curl = new MyOwnCurl();
        $params = array(
            "Type_Message" => MyOwnDevice::MSG_REMOVE,
            "Message" => array(
                'URL_Module' => $domain,
                'ID_Device' => $id_device,
            ));
        return $curl->requestPost($this->host_url_key, $params);
    }
    
    public function removeAllDevice($domain) {
        $curl = new MyOwnCurl();
        $params = array(
            "Type_Message" => MyOwnDevice::MSG_REMOVE_ALL,
            "Message" => array(
                'URL_Module' => $domain,
                'All_Device' => true,
            ));
        return $curl->requestPost($this->host_url_key, $params);
    }
}
