<?php
/**
 */

include_once(dirname(__FILE__) . "/MyOwnCurl.php");

class MyOwnRegisterDomain {
    const MSG_REGISTER = 500;
    
    private $index_url = MyOwnCurl::URL_PATH.'webservice/RegisterLicenseService.php';
    private $file_polling = '/classes/webservice/MyOwnPollingService.php';
    
    public function registerDomain($URL_Module, $URL_Polling, $ID_Order, $Seller, $TypeModule, $Version) {
        $curl = new MyOwnCurl();
        $params = array(
            "Type_Message" => MyOwnRegisterDomain::MSG_REGISTER,
            "Message" => array(
                'URL_Module' => $URL_Module,
                'URL_Polling' => $this->myUrlEncode($URL_Polling . $this->file_polling),
                'ID_Order' => $ID_Order,
                'Seller' => $Seller,
                'TypeModule' => $TypeModule,
                'Version' => $Version
            ));
        return $curl->requestPost($this->index_url, $params);
    }
    
    public function myUrlEncode($string) {
        $entities = array(
            '%21', '%2A', '%27', '%28', '%29', '%3B', '%3A', '%40', '%26', '%3D',
            '%2B', '%24', '%2C', '%2F', '%3F', '%25', '%23', '%5B', '%5D');
        $replacements = array(
            '!', '*', "'", "(", ")", ";", ":", "@", "&", "=", "+", "$", ",", "/", "?", "%", "#", "[", "]"
        );
        return str_replace($entities, $replacements, urlencode($string));
    }
}
