<?php

if (!defined('WP_MYOWNSMS_DEV')) {
    define('WP_MYOWNSMS_DEV', false);
}

define( 'WP_MYOWNSMS_VERSION', '1.3.3' );
define( 'WP_MYOWNSMS_NAME' , 'wpmyownsms');

if (!defined('WP_MYOWNSMS_PREFIX')) {
    $seller = array();
    foreach (glob(dirname(__FILE__). "/*.my") as $file) {
        $seller[] = $file;
    }
    
    if (count($seller) == 1) {
        $name_parts = pathinfo($seller[0]);
        define('WP_MYOWNSMS_PREFIX', $name_parts['filename']);
    } else {
        define('WP_MYOWNSMS_PREFIX', 'none');
    }
}

if (!defined('WP_MYOWNSMS_ROOT_MD')) {
    define('WP_MYOWNSMS_ROOT_MD', dirname(dirname(__FILE__)));
}

if (!defined('WP_MYOWNSMS_ROOT_PLUGIN')){
    define('WP_MYOWNSMS_ROOT_PLUGIN', dirname(dirname(dirname(__FILE__))));
}

define( 'WP_MYOWNSMS_MOBILE_REGEX', '/^[\+|\(|\)|\d|\- ]*$/' );
$date_from = new DateTime('NOW');
define( 'WP_MYOWNSMS_CURRENT_DATE', $date_from->format('Y-m-d H:i:s') );

if (!defined('WP_MYOWNSMS_TEMPLATE')) {
    define('WP_MYOWNSMS_TEMPLATE', WP_MYOWNSMS_ROOT_MD.'/includes/templates/');
}

if (!defined('WP_MYOWNSMS_CL')) {
    define('WP_MYOWNSMS_CL', WP_MYOWNSMS_ROOT_MD . DIRECTORY_SEPARATOR . 'classes/');
}

if (!defined('WP_MYOWNSMS_IMPORT')) {
    define('WP_MYOWNSMS_IMPORT', WP_MYOWNSMS_ROOT_MD . DIRECTORY_SEPARATOR . 'import');
}

if (!defined('WP_MYOWNSMS_UPDATE')) {
    define('WP_MYOWNSMS_UPDATE', WP_MYOWNSMS_ROOT_MD . DIRECTORY_SEPARATOR . 'update');
}

if (!defined('WP_MYOWNSMS_CONTROLLER')) {
    define('WP_MYOWNSMS_CONTROLLER', WP_MYOWNSMS_ROOT_MD.'/includes/classes/controllers/');
}

if (!defined('WP_MYOWNSMS_LOG')) {
    define('WP_MYOWNSMS_LOG', WP_MYOWNSMS_ROOT_MD . DIRECTORY_SEPARATOR . 'log');
}

require_once 'myown_function.php';

includes_myownsms();

