<?php
//mkt_
function myown_getQueryValue($key, $defaultValue = false) {
    if (!isset($key) OR empty($key) OR ! is_string($key))
        return false;
    $ret = (isset($_POST[$key]) ? $_POST[$key] : (isset($_GET[$key]) ? $_GET[$key] : $defaultValue));
    if (is_string($ret) === true)
        $ret = urldecode(preg_replace('/((\%5C0+)|(\%00+))/i', '', urlencode($ret)));
    return !is_string($ret) ? $ret : stripslashes($ret);
}

function myown_getQueryIsset($key) {
    if (!isset($key) OR empty($key) OR ! is_string($key))
        return false;
    return isset($_POST[$key]) ? true : (isset($_GET[$key]) ? true : false);
}

function myown_isGenericName($name) {
    return empty($name) OR preg_match('/^[^<>;=#{}]*$/ui', $name);
}

function myown_writeLog($file, $msg) {
    if (WP_MYOWNSMS_DEV === true) {
        $file = WP_MYOWNSMS_LOG . "/" . $file;
        $log = WP_MYOWNSMS_CURRENT_DATE . ': ' . $msg .  "\n";
        file_put_contents($file, $log, FILE_APPEND | LOCK_EX);
    }
}

function includes_myownsms() {
    $files = array(
        'MyOwnCurl',
        'messages/MyOwnResponseDevice',
        'MyOwnDevice',
        'MyOwnRegisterDomain',
        'MyOwnRequestService',
    );

    foreach ( $files as $file ) {
        require_once WP_MYOWNSMS_CL . $file . '.php';
    }
}

function myown_get_home_url() { 
    $domain = str_replace('https://', '', get_home_url()); 
    if (strpos($domain, '/') !== false) { 
        return strstr($domain, '/', true); 
    } else { 
        return $domain; 
    } 
}

function myown_deleteDir($dirPath) {
    if (! is_dir($dirPath)) {
        throw new InvalidArgumentException("$dirPath must be a directory");
    }
    if (substr($dirPath, strlen($dirPath) - 1, 1) != '/') {
        $dirPath .= '/';
    }
    $files = glob($dirPath . '*', GLOB_MARK);
    foreach ($files as $file) {
        if (is_dir($file)) {
            myown_deleteDir($file);
        } else {
            unlink($file);
        }
    }
    rmdir($dirPath);
}

function myown_recurse_copy($src,$dst) { 
    $dir = opendir($src); 
    @mkdir($dst); 
    while(false !== ( $file = readdir($dir)) ) { 
        if (( $file != '.' ) && ( $file != '..' )) { 
            if ( is_dir($src . '/' . $file) ) { 
                recurse_copy($src . '/' . $file,$dst . '/' . $file); 
            } 
            else { 
                copy($src . '/' . $file,$dst . '/' . $file); 
            } 
        } 
    } 
    closedir($dir); 
} 
