<?php
global $table_prefix;

$create_myownsms_devices = ("CREATE TABLE IF NOT EXISTS {$table_prefix}myownsms_devices ( 
    `id_device` int(10) NOT NULL AUTO_INCREMENT,
    `password` VARCHAR(10),
    `phone_number` VARCHAR(45),
    `operator` VARCHAR(45),
    `name_device` VARCHAR(160) NOT NULL,
    `license` VARCHAR(128),
    `date_begin` datetime NOT NULL,
    `date_ready` datetime,
    `date_finish` datetime NOT NULL,
    `num_tot_sms` int(10) DEFAULT 0,
    `state` TINYINT(2) ZEROFILL,
    INDEX (`license`),
    PRIMARY KEY(`id_device`)
    ) ENGINE=MyISAM default CHARSET=utf8
" );
    
$create_myownsms_polling = ("CREATE TABLE IF NOT EXISTS {$table_prefix}myownsms_polling (
    `id_campaign` int(10) NOT NULL AUTO_INCREMENT,
    `id_device` int(10) NOT NULL,
    `name_campaign` VARCHAR(50) NOT NULL,
    `message_sms` VARCHAR(480) NOT NULL,
    `num_tot_recipient` int(10) NOT NULL,
    `recipient` text NOT NULL,
    `recipient_id_customers` text NOT NULL,
    `date_begin` datetime NOT NULL,
    `date_processing` datetime,
    `date_finish` datetime,
    `state` TINYINT(2) ZEROFILL,
    INDEX (`id_device`),
    PRIMARY KEY(`id_campaign`)
    ) ENGINE=MyISAM default CHARSET=utf8
" );

$create_myownsms_subscriber = ("CREATE TABLE IF NOT EXISTS {$table_prefix}myownsms_subscriber ( 
    `id_address` int(10) NOT NULL,
    `id_status` int(10) NOT NULL,
    `subscriber` int(10) NOT NULL,
    `update` int(10) NOT NULL,
    PRIMARY KEY(`id_address`)
    ) ENGINE=MyISAM default CHARSET=utf8
" );

$create_myownsms_woo_customers = ("CREATE TABLE IF NOT EXISTS {$table_prefix}myownsms_woo_customers (
    user_id int(10) NOT NULL,
    billing_first_name varchar(64) NOT NULL,
    billing_last_name varchar(64) NOT NULL,
    billing_address_1 varchar(64) NOT NULL,
    billing_city varchar(64) NOT NULL,
    billing_state varchar(64) NOT NULL,
    billing_postcode varchar(64) NOT NULL,
    billing_country varchar(64) NOT NULL,
    billing_email varchar(64) NOT NULL,
    billing_phone varchar(64) NOT NULL,
    PRIMARY KEY(`user_id`)
    ) ENGINE=MyISAM default CHARSET=utf8
" );

$create_myownsms_import_customers = ("CREATE TABLE IF NOT EXISTS {$table_prefix}myownsms_import_customers ( 
            `id_customers` int(10) NOT NULL AUTO_INCREMENT,
            `first_name` VARCHAR(255),
            `last_name` VARCHAR(255),
            `alias` VARCHAR(32) NOT NULL,
            `social_name` VARCHAR(50),
            `city` VARCHAR(64),
            `language` VARCHAR(50),
            `phone_mobile` VARCHAR(32) NOT NULL,
            `date_add` datetime NOT NULL,
            `id_status` tinyint(1) DEFAULT 0,
            PRIMARY KEY(`id_customers`)
            ) ENGINE=MyISAM default CHARSET=utf8
" );