<?php
/**
 */

class MyOwnRequestService {
    public static function parseRequest() {
        if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
            return "<p>Invalid Request. Use Post message</p>";
        }
        
        if (!(isset($_SERVER["HTTPS"]) && strtolower($_SERVER["HTTPS"]) == "on" )) {
            $device_response = MyOwnResponseDevice::getMessageError(
                MyOwnResponseDevice::ERR_HTTPS,
                "Requered HTTPS protocol"
            );
            $jsonResponse = json_encode($device_response);
            echo $jsonResponse;
            exit;
        }

        $HTTP_RAW_POST_DATA = file_get_contents('php://input');

        $parts = explode('&', $HTTP_RAW_POST_DATA);
        foreach ($parts as $part) {
            list($key, $value) = explode('=', $part, 2);
            $_POST[$key] = urldecode($value);
        }
        return $_POST;
    }
}
