<?php
/**
 */

class MyOwnResponseDevice {
    const REQUEST_POLLING = 90;
    const REQUEST_TERMINATE = 120;
    const OK_SUB = 91;
    const OK_EMPTY = 92;
    const OK_END = 121;
    
    //Error
    const ERR_DEVICE_STATE =  94;
    const ERR_DEVICE_NOT_FOUND = 93;
    const ERR_MES = 94;
    const ERR_HTTPS = 95;
    
    public static function getMessageError($type_error, $text) {
        $message = array(
                "Result" => false,
                "Type_Message" => $type_error,
                "Message" => array(
                    "Code" => $type_error,
                    "Text" => $text));
        return $message;
    }
    
    public static function getMessageSuccess($type_msg, $text) {
        $message = array(
                "Result" => true,
                "Type_Message" => $type_msg,
                "Message" => array(
                    "Code" => $type_msg,
                    "Text" => $text));
        return $message;
    }
         
    public static function getMessageSubmit($type_msg, $textSMS, $recipient, $textJob, $job) {
        $message = array(
            "Result" => true,
            "Type_Message" => $type_msg,
            "Message" => array(
                "TextSMS" => $textSMS,
                "Recipient" => $recipient,
                "TextJob" => $textJob,
                "Jobs" => $job));
        return $message;
    }
}
