<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function myownsms_plg_history() {
    add_submenu_page(
		'myownsms_menu',
		__( 'History', 'wpmyownsms' ),
		__( 'History', 'wpmyownsms' ),
		'administrator',
		'myownsms_plg_history',
		create_function( null, 'myownsms_plg( "history" );' )
	);
}
add_action( 'admin_menu', 'myownsms_plg_history' );

function myownsms_history_render(){
    //sempre da renderizzare
    include_once WP_MYOWNSMS_CONTROLLER . "history/f_campaign_scheduled.php";
    $campaign_scheduled = new MyOwn_Campaign_Scheduled();
    include_once WP_MYOWNSMS_TEMPLATE . "history/campaign_scheduled.php";

    include_once WP_MYOWNSMS_CONTROLLER . "history/f_campaign_history.php";
    $campaign_history = new MyOwn_Campaign_History();
    include_once WP_MYOWNSMS_TEMPLATE . "history/campaign_history.php";
    
    include_once WP_MYOWNSMS_CONTROLLER . "history/f_old_device.php";
    $old_device = new MyOwn_Old_Device();
    include_once WP_MYOWNSMS_TEMPLATE . "history/old_device.php";
}
add_action( 'history_render', 'myownsms_history_render' );
