<div class="card pressthis">
<h2><?php _e( 'Create New Campaign', 'wpmyownsms' ); ?></h2>
<form method="post" action="">
    <table class="form-table">
        <?php wp_create_nonce( 'create_campaign' ); ?>
        <tbody>
            <tr>
                <th scope="row"><?php _e( 'Campaign Title:', 'wpmyownsms' ); ?></th>
                <td>
                    <input style="width: 400px;" type="text" id="myownsms_create_campaign_title" name="myownsms_create_campaign_title" value="<?php ( isset( $_POST['myownsms_create_campaign_title'] ) ? $_POST['myownsms_create_campaign_title'] : null ) ?>">
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'SMS text:', 'wpmyownsms' ); ?></th>
                <td>
                    <textarea  id="myownsms_create_campaign_sms" name="myownsms_create_campaign_sms" class="textarea-autosize" style="overflow: hidden; word-wrap: break-word; resize: none; height: 150px; width: 400px;"><?php ( isset( $_POST['myownsms_create_campaign_sms'] ) ? htmlspecialchars($_POST['myownsms_create_campaign_sms']) : null ) ?></textarea>
                    <div style="max-width:250px;">
                        <div style="background:rgba(164,198,57,0.15);">Characters counter:  <span id="myown_counter">0</span><span>/</span><span id="myown_counter_prg">160</span></div>
                        <div style="background:rgba(164,198,57,0.55);">Number Messages:  <span id="myown_counter_sms">0</span></div>
                    </div>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Select your device:', 'wpmyownsms' ); ?></th>
                <td>
                    <select id="myownsms_create_campaign_id_device" name="myownsms_create_campaign_id_device" style="width: 145px;">
                        <?php 
                            foreach($optionDevice as $key => $value){
                                echo '<option value="'.$value.'">'.$key.'</option>';
                            }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Submission date:', 'wpmyownsms' ); ?></th>
                <td>
                    <input type="text" id="myownsms_create_campaign_id_date" name="myownsms_create_campaign_id_date" data-hex="true" class="datetimepicker" value="<?php echo date( 'Y-m-d H:i', current_time( 'timestamp', 0 ));?>" style="width: 145px;"/>
                </td>
            </tr>
        </tbody>
    </table>
    <p class="submit">
        <input type="submit" class="button-primary" name="myownsms_create_campaign" value="<?php _e( 'Create New Campaign', 'wpmyownsms' ); ?>"/>
    </p>
    <script type='text/javascript'>
    MyOwnjQuery(document).ready(function() {  
        MyOwnjQuery('#myownsms_create_campaign_id_date').datetimepicker({
            prevText: '',
            nextText: '',
            dateFormat: 'yy-mm-dd',
            // Define a custom regional settings in order to use PrestaShop translation tools
            currentText: 'Now',
            closeText: 'Done',
            timeFormat: 'HH:mm',
        });
    });

    </script>
    <script>
        MyOwnjQuery( document ).ready( function() {
            if (MyOwnjQuery("#myownsms_create_campaign_sms")){
                MyOwnjQuery("#myownsms_create_campaign_sms").keyup(updateCount);
                MyOwnjQuery("#myownsms_create_campaign_sms").keydown(updateCount);
            }}
        );

        function updateCount() {
            var cs = jQuery(this).val().length;
            var numSMS = Math.ceil(cs/160);
            var numprg = Math.ceil(160*numSMS);

            MyOwnjQuery('#myown_counter').text(cs);
            MyOwnjQuery('#myown_counter_sms').text(numSMS);
            MyOwnjQuery('#myown_counter_prg').text(numprg);
        }
    </script>
</form>
</div>
